"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertAskarWallet = assertAskarWallet;
const core_1 = require("@credo-ts/core");
const wallet_1 = require("../wallet");
function assertAskarWallet(wallet) {
    if (!(wallet instanceof wallet_1.AskarProfileWallet) && !(wallet instanceof wallet_1.AskarWallet)) {
        // biome-ignore lint/suspicious/noExplicitAny: <explanation>
        const walletClassName = wallet.constructor?.name ?? 'unknown';
        throw new core_1.CredoError(`Expected wallet to be instance of AskarProfileWallet or AskarWallet, found ${walletClassName}`);
    }
}
//# sourceMappingURL=assertAskarWallet.js.map